using System;
using Foxit.PDF;
using Foxit.PDF.Merger;
using Foxit.PDF.PageElements;

namespace Web_CSharp.MergerExamples
{
	public partial class PlacePDFs : System.Web.UI.Page
	{
		protected void Page_Load(object sender, System.EventArgs e)
		{
			// Create a merge document and set it's properties
			Document document = new Document();
			document.Creator = "PlacePDFs.aspx";
			document.Author = "Foxit Software";
			document.Title = "Place PDFs";

			// Create page to place the imported PDF pages on
			Foxit.PDF.Page page = new Foxit.PDF.Page( 1404, 1404, 0 );

			// Add rectangles to show dimensions of original pages
			page.Elements.Add( new Rectangle( 0, 0, 612, 792 ) );
			page.Elements.Add( new Rectangle( 0, 792, 792, 612 ) );
			page.Elements.Add( new Rectangle( 612, 0, 792, 612 ) );
			page.Elements.Add( new Rectangle( 792, 612, 612, 792 ) );

			// Import and place 4 pages rotating 3 of them.
			page.Elements.Add( new ImportedPageArea( MapPath( "../PDFs/DocumentA.pdf" ), 1, 0, 0 ) );

			ImportedPageArea importedPage2 = new ImportedPageArea( MapPath( "../PDFs/DocumentA.pdf" ), 2, 1404, 0 );
			importedPage2.Angle = 90;
			page.Elements.Add( importedPage2 );

			ImportedPageArea importedPage3 = new ImportedPageArea( MapPath( "../PDFs/DocumentA.pdf" ), 3, 1404, 1404 );
			importedPage3.Angle = 180;
			page.Elements.Add( importedPage3 );

			ImportedPageArea importedPage4 = new ImportedPageArea( MapPath( "../PDFs/DocumentA.pdf" ), 4, 0, 1404 );
			importedPage4.Angle = -90;
			page.Elements.Add( importedPage4 );

			// Add page to document
			document.Pages.Add( page );

			// Outputs the merged document to the current web page
			document.DrawToWeb( "PlacePDFs.pdf" );
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
		}
		#endregion
	}
}
