using System;
using Foxit.PDF;
using Foxit.PDF.Merger;
using Foxit.PDF.PageElements;

namespace Web_CSharp.MergerExamples
{
	public partial class StampPDF : System.Web.UI.Page
	{
		protected void Page_Load(object sender, System.EventArgs e)
		{
			// Create an output document and set it's properties
			MergeDocument document = new MergeDocument( MapPath( "../PDFs/fw9_11.pdf" ) );
			document.Creator = "StampPDF.aspx";
			document.Author = "Foxit Software";
			document.Title = "Stamp PDF";

			// Create a template to place an image behind each page in the PDF
			Template backgroundTemplate = new Template();
			document.Template = backgroundTemplate;
			backgroundTemplate.Elements.Add( new BackgroundImage( MapPath( "../Images/FoxitLogo_Watermark.png" ) ) );

			// Create a label for the stamp and rotate it 20 degrees
			Label label = new Label( "Stamped with Merger for .NET.", 0, 250, 500, 100, Font.Helvetica, 24, TextAlign.Center, RgbColor.Red );
			label.Angle = -20;

			// Create an anchor group to keep the label anchored regardless of page size
			AnchorGroup anchorGroup = new AnchorGroup( 500, 100, Align.Center, VAlign.Top );
			anchorGroup.Add( label );

			// Create a stamp template and add the anchor group containing the label to it
			Template stampTemplate = new Template();
			document.StampTemplate = stampTemplate;
			stampTemplate.Elements.Add( anchorGroup );

			// Outputs the stamped document to the current web page
			document.DrawToWeb( "StampPDF.pdf" );
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
		}
		#endregion
	}
}
